Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network9.178.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
9.178.0.0
Broadcast address
9.179.255.255
First usable
9.178.0.1
Last usable
9.179.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 09B20000 · Integer 162660352 to 162791423
Reverse DNS zones
178.9.in-addr.arpa
179.9.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001001.10110010.00000000.000000009.178.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00001001.10110010.00000000.000000009.178.0.0
Broadcast00001001.10110011.11111111.111111119.179.255.255
Split into smaller subnets/23

9.178.0.0/15 makes 256 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
19.178.0.0/239.178.0.1 to 9.178.1.2549.178.1.255510
29.178.2.0/239.178.2.1 to 9.178.3.2549.178.3.255510
39.178.4.0/239.178.4.1 to 9.178.5.2549.178.5.255510
49.178.6.0/239.178.6.1 to 9.178.7.2549.178.7.255510
59.178.8.0/239.178.8.1 to 9.178.9.2549.178.9.255510
69.178.10.0/239.178.10.1 to 9.178.11.2549.178.11.255510
79.178.12.0/239.178.12.1 to 9.178.13.2549.178.13.255510
89.178.14.0/239.178.14.1 to 9.178.15.2549.178.15.255510
99.178.16.0/239.178.16.1 to 9.178.17.2549.178.17.255510
109.178.18.0/239.178.18.1 to 9.178.19.2549.178.19.255510
119.178.20.0/239.178.20.1 to 9.178.21.2549.178.21.255510
129.178.22.0/239.178.22.1 to 9.178.23.2549.178.23.255510
139.178.24.0/239.178.24.1 to 9.178.25.2549.178.25.255510
149.178.26.0/239.178.26.1 to 9.178.27.2549.178.27.255510
159.178.28.0/239.178.28.1 to 9.178.29.2549.178.29.255510
169.178.30.0/239.178.30.1 to 9.178.31.2549.178.31.255510
179.178.32.0/239.178.32.1 to 9.178.33.2549.178.33.255510
189.178.34.0/239.178.34.1 to 9.178.35.2549.178.35.255510
199.178.36.0/239.178.36.1 to 9.178.37.2549.178.37.255510
209.178.38.0/239.178.38.1 to 9.178.39.2549.178.39.255510
219.178.40.0/239.178.40.1 to 9.178.41.2549.178.41.255510
229.178.42.0/239.178.42.1 to 9.178.43.2549.178.43.255510
239.178.44.0/239.178.44.1 to 9.178.45.2549.178.45.255510
249.178.46.0/239.178.46.1 to 9.178.47.2549.178.47.255510
259.178.48.0/239.178.48.1 to 9.178.49.2549.178.49.255510
269.178.50.0/239.178.50.1 to 9.178.51.2549.178.51.255510
279.178.52.0/239.178.52.1 to 9.178.53.2549.178.53.255510
289.178.54.0/239.178.54.1 to 9.178.55.2549.178.55.255510
299.178.56.0/239.178.56.1 to 9.178.57.2549.178.57.255510
309.178.58.0/239.178.58.1 to 9.178.59.2549.178.59.255510
319.178.60.0/239.178.60.1 to 9.178.61.2549.178.61.255510
329.178.62.0/239.178.62.1 to 9.178.63.2549.178.63.255510
339.178.64.0/239.178.64.1 to 9.178.65.2549.178.65.255510
349.178.66.0/239.178.66.1 to 9.178.67.2549.178.67.255510
359.178.68.0/239.178.68.1 to 9.178.69.2549.178.69.255510
369.178.70.0/239.178.70.1 to 9.178.71.2549.178.71.255510
379.178.72.0/239.178.72.1 to 9.178.73.2549.178.73.255510
389.178.74.0/239.178.74.1 to 9.178.75.2549.178.75.255510
399.178.76.0/239.178.76.1 to 9.178.77.2549.178.77.255510
409.178.78.0/239.178.78.1 to 9.178.79.2549.178.79.255510
419.178.80.0/239.178.80.1 to 9.178.81.2549.178.81.255510
429.178.82.0/239.178.82.1 to 9.178.83.2549.178.83.255510
439.178.84.0/239.178.84.1 to 9.178.85.2549.178.85.255510
449.178.86.0/239.178.86.1 to 9.178.87.2549.178.87.255510
459.178.88.0/239.178.88.1 to 9.178.89.2549.178.89.255510
469.178.90.0/239.178.90.1 to 9.178.91.2549.178.91.255510
479.178.92.0/239.178.92.1 to 9.178.93.2549.178.93.255510
489.178.94.0/239.178.94.1 to 9.178.95.2549.178.95.255510
499.178.96.0/239.178.96.1 to 9.178.97.2549.178.97.255510
509.178.98.0/239.178.98.1 to 9.178.99.2549.178.99.255510
519.178.100.0/239.178.100.1 to 9.178.101.2549.178.101.255510
529.178.102.0/239.178.102.1 to 9.178.103.2549.178.103.255510
539.178.104.0/239.178.104.1 to 9.178.105.2549.178.105.255510
549.178.106.0/239.178.106.1 to 9.178.107.2549.178.107.255510
559.178.108.0/239.178.108.1 to 9.178.109.2549.178.109.255510
569.178.110.0/239.178.110.1 to 9.178.111.2549.178.111.255510
579.178.112.0/239.178.112.1 to 9.178.113.2549.178.113.255510
589.178.114.0/239.178.114.1 to 9.178.115.2549.178.115.255510
599.178.116.0/239.178.116.1 to 9.178.117.2549.178.117.255510
609.178.118.0/239.178.118.1 to 9.178.119.2549.178.119.255510
619.178.120.0/239.178.120.1 to 9.178.121.2549.178.121.255510
629.178.122.0/239.178.122.1 to 9.178.123.2549.178.123.255510
639.178.124.0/239.178.124.1 to 9.178.125.2549.178.125.255510
649.178.126.0/239.178.126.1 to 9.178.127.2549.178.127.255510
659.178.128.0/239.178.128.1 to 9.178.129.2549.178.129.255510
669.178.130.0/239.178.130.1 to 9.178.131.2549.178.131.255510
679.178.132.0/239.178.132.1 to 9.178.133.2549.178.133.255510
689.178.134.0/239.178.134.1 to 9.178.135.2549.178.135.255510
699.178.136.0/239.178.136.1 to 9.178.137.2549.178.137.255510
709.178.138.0/239.178.138.1 to 9.178.139.2549.178.139.255510
719.178.140.0/239.178.140.1 to 9.178.141.2549.178.141.255510
729.178.142.0/239.178.142.1 to 9.178.143.2549.178.143.255510
739.178.144.0/239.178.144.1 to 9.178.145.2549.178.145.255510
749.178.146.0/239.178.146.1 to 9.178.147.2549.178.147.255510
759.178.148.0/239.178.148.1 to 9.178.149.2549.178.149.255510
769.178.150.0/239.178.150.1 to 9.178.151.2549.178.151.255510
779.178.152.0/239.178.152.1 to 9.178.153.2549.178.153.255510
789.178.154.0/239.178.154.1 to 9.178.155.2549.178.155.255510
799.178.156.0/239.178.156.1 to 9.178.157.2549.178.157.255510
809.178.158.0/239.178.158.1 to 9.178.159.2549.178.159.255510
819.178.160.0/239.178.160.1 to 9.178.161.2549.178.161.255510
829.178.162.0/239.178.162.1 to 9.178.163.2549.178.163.255510
839.178.164.0/239.178.164.1 to 9.178.165.2549.178.165.255510
849.178.166.0/239.178.166.1 to 9.178.167.2549.178.167.255510
859.178.168.0/239.178.168.1 to 9.178.169.2549.178.169.255510
869.178.170.0/239.178.170.1 to 9.178.171.2549.178.171.255510
879.178.172.0/239.178.172.1 to 9.178.173.2549.178.173.255510
889.178.174.0/239.178.174.1 to 9.178.175.2549.178.175.255510
899.178.176.0/239.178.176.1 to 9.178.177.2549.178.177.255510
909.178.178.0/239.178.178.1 to 9.178.179.2549.178.179.255510
919.178.180.0/239.178.180.1 to 9.178.181.2549.178.181.255510
929.178.182.0/239.178.182.1 to 9.178.183.2549.178.183.255510
939.178.184.0/239.178.184.1 to 9.178.185.2549.178.185.255510
949.178.186.0/239.178.186.1 to 9.178.187.2549.178.187.255510
959.178.188.0/239.178.188.1 to 9.178.189.2549.178.189.255510
969.178.190.0/239.178.190.1 to 9.178.191.2549.178.191.255510
979.178.192.0/239.178.192.1 to 9.178.193.2549.178.193.255510
989.178.194.0/239.178.194.1 to 9.178.195.2549.178.195.255510
999.178.196.0/239.178.196.1 to 9.178.197.2549.178.197.255510
1009.178.198.0/239.178.198.1 to 9.178.199.2549.178.199.255510
1019.178.200.0/239.178.200.1 to 9.178.201.2549.178.201.255510
1029.178.202.0/239.178.202.1 to 9.178.203.2549.178.203.255510
1039.178.204.0/239.178.204.1 to 9.178.205.2549.178.205.255510
1049.178.206.0/239.178.206.1 to 9.178.207.2549.178.207.255510
1059.178.208.0/239.178.208.1 to 9.178.209.2549.178.209.255510
1069.178.210.0/239.178.210.1 to 9.178.211.2549.178.211.255510
1079.178.212.0/239.178.212.1 to 9.178.213.2549.178.213.255510
1089.178.214.0/239.178.214.1 to 9.178.215.2549.178.215.255510
1099.178.216.0/239.178.216.1 to 9.178.217.2549.178.217.255510
1109.178.218.0/239.178.218.1 to 9.178.219.2549.178.219.255510
1119.178.220.0/239.178.220.1 to 9.178.221.2549.178.221.255510
1129.178.222.0/239.178.222.1 to 9.178.223.2549.178.223.255510
1139.178.224.0/239.178.224.1 to 9.178.225.2549.178.225.255510
1149.178.226.0/239.178.226.1 to 9.178.227.2549.178.227.255510
1159.178.228.0/239.178.228.1 to 9.178.229.2549.178.229.255510
1169.178.230.0/239.178.230.1 to 9.178.231.2549.178.231.255510
1179.178.232.0/239.178.232.1 to 9.178.233.2549.178.233.255510
1189.178.234.0/239.178.234.1 to 9.178.235.2549.178.235.255510
1199.178.236.0/239.178.236.1 to 9.178.237.2549.178.237.255510
1209.178.238.0/239.178.238.1 to 9.178.239.2549.178.239.255510
1219.178.240.0/239.178.240.1 to 9.178.241.2549.178.241.255510
1229.178.242.0/239.178.242.1 to 9.178.243.2549.178.243.255510
1239.178.244.0/239.178.244.1 to 9.178.245.2549.178.245.255510
1249.178.246.0/239.178.246.1 to 9.178.247.2549.178.247.255510
1259.178.248.0/239.178.248.1 to 9.178.249.2549.178.249.255510
1269.178.250.0/239.178.250.1 to 9.178.251.2549.178.251.255510
1279.178.252.0/239.178.252.1 to 9.178.253.2549.178.253.255510
1289.178.254.0/239.178.254.1 to 9.178.255.2549.178.255.255510
1299.179.0.0/239.179.0.1 to 9.179.1.2549.179.1.255510
1309.179.2.0/239.179.2.1 to 9.179.3.2549.179.3.255510
1319.179.4.0/239.179.4.1 to 9.179.5.2549.179.5.255510
1329.179.6.0/239.179.6.1 to 9.179.7.2549.179.7.255510
1339.179.8.0/239.179.8.1 to 9.179.9.2549.179.9.255510
1349.179.10.0/239.179.10.1 to 9.179.11.2549.179.11.255510
1359.179.12.0/239.179.12.1 to 9.179.13.2549.179.13.255510
1369.179.14.0/239.179.14.1 to 9.179.15.2549.179.15.255510
1379.179.16.0/239.179.16.1 to 9.179.17.2549.179.17.255510
1389.179.18.0/239.179.18.1 to 9.179.19.2549.179.19.255510
1399.179.20.0/239.179.20.1 to 9.179.21.2549.179.21.255510
1409.179.22.0/239.179.22.1 to 9.179.23.2549.179.23.255510
1419.179.24.0/239.179.24.1 to 9.179.25.2549.179.25.255510
1429.179.26.0/239.179.26.1 to 9.179.27.2549.179.27.255510
1439.179.28.0/239.179.28.1 to 9.179.29.2549.179.29.255510
1449.179.30.0/239.179.30.1 to 9.179.31.2549.179.31.255510
1459.179.32.0/239.179.32.1 to 9.179.33.2549.179.33.255510
1469.179.34.0/239.179.34.1 to 9.179.35.2549.179.35.255510
1479.179.36.0/239.179.36.1 to 9.179.37.2549.179.37.255510
1489.179.38.0/239.179.38.1 to 9.179.39.2549.179.39.255510
1499.179.40.0/239.179.40.1 to 9.179.41.2549.179.41.255510
1509.179.42.0/239.179.42.1 to 9.179.43.2549.179.43.255510
1519.179.44.0/239.179.44.1 to 9.179.45.2549.179.45.255510
1529.179.46.0/239.179.46.1 to 9.179.47.2549.179.47.255510
1539.179.48.0/239.179.48.1 to 9.179.49.2549.179.49.255510
1549.179.50.0/239.179.50.1 to 9.179.51.2549.179.51.255510
1559.179.52.0/239.179.52.1 to 9.179.53.2549.179.53.255510
1569.179.54.0/239.179.54.1 to 9.179.55.2549.179.55.255510
1579.179.56.0/239.179.56.1 to 9.179.57.2549.179.57.255510
1589.179.58.0/239.179.58.1 to 9.179.59.2549.179.59.255510
1599.179.60.0/239.179.60.1 to 9.179.61.2549.179.61.255510
1609.179.62.0/239.179.62.1 to 9.179.63.2549.179.63.255510
1619.179.64.0/239.179.64.1 to 9.179.65.2549.179.65.255510
1629.179.66.0/239.179.66.1 to 9.179.67.2549.179.67.255510
1639.179.68.0/239.179.68.1 to 9.179.69.2549.179.69.255510
1649.179.70.0/239.179.70.1 to 9.179.71.2549.179.71.255510
1659.179.72.0/239.179.72.1 to 9.179.73.2549.179.73.255510
1669.179.74.0/239.179.74.1 to 9.179.75.2549.179.75.255510
1679.179.76.0/239.179.76.1 to 9.179.77.2549.179.77.255510
1689.179.78.0/239.179.78.1 to 9.179.79.2549.179.79.255510
1699.179.80.0/239.179.80.1 to 9.179.81.2549.179.81.255510
1709.179.82.0/239.179.82.1 to 9.179.83.2549.179.83.255510
1719.179.84.0/239.179.84.1 to 9.179.85.2549.179.85.255510
1729.179.86.0/239.179.86.1 to 9.179.87.2549.179.87.255510
1739.179.88.0/239.179.88.1 to 9.179.89.2549.179.89.255510
1749.179.90.0/239.179.90.1 to 9.179.91.2549.179.91.255510
1759.179.92.0/239.179.92.1 to 9.179.93.2549.179.93.255510
1769.179.94.0/239.179.94.1 to 9.179.95.2549.179.95.255510
1779.179.96.0/239.179.96.1 to 9.179.97.2549.179.97.255510
1789.179.98.0/239.179.98.1 to 9.179.99.2549.179.99.255510
1799.179.100.0/239.179.100.1 to 9.179.101.2549.179.101.255510
1809.179.102.0/239.179.102.1 to 9.179.103.2549.179.103.255510
1819.179.104.0/239.179.104.1 to 9.179.105.2549.179.105.255510
1829.179.106.0/239.179.106.1 to 9.179.107.2549.179.107.255510
1839.179.108.0/239.179.108.1 to 9.179.109.2549.179.109.255510
1849.179.110.0/239.179.110.1 to 9.179.111.2549.179.111.255510
1859.179.112.0/239.179.112.1 to 9.179.113.2549.179.113.255510
1869.179.114.0/239.179.114.1 to 9.179.115.2549.179.115.255510
1879.179.116.0/239.179.116.1 to 9.179.117.2549.179.117.255510
1889.179.118.0/239.179.118.1 to 9.179.119.2549.179.119.255510
1899.179.120.0/239.179.120.1 to 9.179.121.2549.179.121.255510
1909.179.122.0/239.179.122.1 to 9.179.123.2549.179.123.255510
1919.179.124.0/239.179.124.1 to 9.179.125.2549.179.125.255510
1929.179.126.0/239.179.126.1 to 9.179.127.2549.179.127.255510
1939.179.128.0/239.179.128.1 to 9.179.129.2549.179.129.255510
1949.179.130.0/239.179.130.1 to 9.179.131.2549.179.131.255510
1959.179.132.0/239.179.132.1 to 9.179.133.2549.179.133.255510
1969.179.134.0/239.179.134.1 to 9.179.135.2549.179.135.255510
1979.179.136.0/239.179.136.1 to 9.179.137.2549.179.137.255510
1989.179.138.0/239.179.138.1 to 9.179.139.2549.179.139.255510
1999.179.140.0/239.179.140.1 to 9.179.141.2549.179.141.255510
2009.179.142.0/239.179.142.1 to 9.179.143.2549.179.143.255510
2019.179.144.0/239.179.144.1 to 9.179.145.2549.179.145.255510
2029.179.146.0/239.179.146.1 to 9.179.147.2549.179.147.255510
2039.179.148.0/239.179.148.1 to 9.179.149.2549.179.149.255510
2049.179.150.0/239.179.150.1 to 9.179.151.2549.179.151.255510
2059.179.152.0/239.179.152.1 to 9.179.153.2549.179.153.255510
2069.179.154.0/239.179.154.1 to 9.179.155.2549.179.155.255510
2079.179.156.0/239.179.156.1 to 9.179.157.2549.179.157.255510
2089.179.158.0/239.179.158.1 to 9.179.159.2549.179.159.255510
2099.179.160.0/239.179.160.1 to 9.179.161.2549.179.161.255510
2109.179.162.0/239.179.162.1 to 9.179.163.2549.179.163.255510
2119.179.164.0/239.179.164.1 to 9.179.165.2549.179.165.255510
2129.179.166.0/239.179.166.1 to 9.179.167.2549.179.167.255510
2139.179.168.0/239.179.168.1 to 9.179.169.2549.179.169.255510
2149.179.170.0/239.179.170.1 to 9.179.171.2549.179.171.255510
2159.179.172.0/239.179.172.1 to 9.179.173.2549.179.173.255510
2169.179.174.0/239.179.174.1 to 9.179.175.2549.179.175.255510
2179.179.176.0/239.179.176.1 to 9.179.177.2549.179.177.255510
2189.179.178.0/239.179.178.1 to 9.179.179.2549.179.179.255510
2199.179.180.0/239.179.180.1 to 9.179.181.2549.179.181.255510
2209.179.182.0/239.179.182.1 to 9.179.183.2549.179.183.255510
2219.179.184.0/239.179.184.1 to 9.179.185.2549.179.185.255510
2229.179.186.0/239.179.186.1 to 9.179.187.2549.179.187.255510
2239.179.188.0/239.179.188.1 to 9.179.189.2549.179.189.255510
2249.179.190.0/239.179.190.1 to 9.179.191.2549.179.191.255510
2259.179.192.0/239.179.192.1 to 9.179.193.2549.179.193.255510
2269.179.194.0/239.179.194.1 to 9.179.195.2549.179.195.255510
2279.179.196.0/239.179.196.1 to 9.179.197.2549.179.197.255510
2289.179.198.0/239.179.198.1 to 9.179.199.2549.179.199.255510
2299.179.200.0/239.179.200.1 to 9.179.201.2549.179.201.255510
2309.179.202.0/239.179.202.1 to 9.179.203.2549.179.203.255510
2319.179.204.0/239.179.204.1 to 9.179.205.2549.179.205.255510
2329.179.206.0/239.179.206.1 to 9.179.207.2549.179.207.255510
2339.179.208.0/239.179.208.1 to 9.179.209.2549.179.209.255510
2349.179.210.0/239.179.210.1 to 9.179.211.2549.179.211.255510
2359.179.212.0/239.179.212.1 to 9.179.213.2549.179.213.255510
2369.179.214.0/239.179.214.1 to 9.179.215.2549.179.215.255510
2379.179.216.0/239.179.216.1 to 9.179.217.2549.179.217.255510
2389.179.218.0/239.179.218.1 to 9.179.219.2549.179.219.255510
2399.179.220.0/239.179.220.1 to 9.179.221.2549.179.221.255510
2409.179.222.0/239.179.222.1 to 9.179.223.2549.179.223.255510
2419.179.224.0/239.179.224.1 to 9.179.225.2549.179.225.255510
2429.179.226.0/239.179.226.1 to 9.179.227.2549.179.227.255510
2439.179.228.0/239.179.228.1 to 9.179.229.2549.179.229.255510
2449.179.230.0/239.179.230.1 to 9.179.231.2549.179.231.255510
2459.179.232.0/239.179.232.1 to 9.179.233.2549.179.233.255510
2469.179.234.0/239.179.234.1 to 9.179.235.2549.179.235.255510
2479.179.236.0/239.179.236.1 to 9.179.237.2549.179.237.255510
2489.179.238.0/239.179.238.1 to 9.179.239.2549.179.239.255510
2499.179.240.0/239.179.240.1 to 9.179.241.2549.179.241.255510
2509.179.242.0/239.179.242.1 to 9.179.243.2549.179.243.255510
2519.179.244.0/239.179.244.1 to 9.179.245.2549.179.245.255510
2529.179.246.0/239.179.246.1 to 9.179.247.2549.179.247.255510
2539.179.248.0/239.179.248.1 to 9.179.249.2549.179.249.255510
2549.179.250.0/239.179.250.1 to 9.179.251.2549.179.251.255510
2559.179.252.0/239.179.252.1 to 9.179.253.2549.179.253.255510
2569.179.254.0/239.179.254.1 to 9.179.255.2549.179.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses